
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>State Managmen Vuex</title>
</head>
<body>
    <div id="app">
        <counter-component>

            
        </counter-component>



    </div>


    <script src="https://cdn.jsdelivr.net/npm/vue@2.6.14/dist/vue.js"></script>
    <script src="https://unpkg.com/vuex@2.0.0"></script>


    <script type="module">

        import {CounterComponent} from "./CounterComponent.js"

// ini udah global
   const store= new Vuex.Store({
       strict:true,
       state:{
           counter:0
       },
       mutations:{
           increment(state){
               state.counter++;
           }
       }
   })

        var vm= new Vue({

            el:"#app",


            computed:{

                counter(){

                    return store.state.counter;
                }


            },
            components:{
                'counter-component':CounterComponent
            },

            // data:{
            //     counter:0
            // },

            // template:`
            // <div>
            
            // <p>{{counter}}</p>
            // <button v-on:click="increment()">Tambah</button>


            // </div> 


            // `,
            methods: {
                increment(){

                    // this.counter+=1;
                    store.commit('increment')
                }
            },
        })


    </script>


    
</body>
</html>